Page MenuHomePhabricator

SVG marker-mid with orient auto don't work (stops rendering subsequent elements)
Closed, ResolvedPublic

Description

Reported on: Commons:COM:GVP
Example-files:

The marker (id="StopM") in this file is a simple line with orient="auto", normally, in some (unknown) case the renderer can('t) handle this, but here the renderer stops after this object (#StopM).

Event Timeline

Perhelion raised the priority of this task from to Needs Triage.
Perhelion updated the task description. (Show Details)
Perhelion added a subscriber: Perhelion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2015, 10:13 AM
Perhelion renamed this task from SVG marker-mid with orient auto don't work (destroys the full graphic) to SVG marker-mid with orient auto don't work (stops rendering).Nov 3 2015, 10:14 AM
Perhelion set Security to None.
Perhelion renamed this task from SVG marker-mid with orient auto don't work (stops rendering) to SVG marker-mid with orient auto don't work (stops rendering full graphic).Nov 3 2015, 10:20 AM
Perhelion updated the task description. (Show Details)
Menner added a subscriber: Menner.Jan 1 2016, 9:47 PM

Looks okay with my local build from main/latest of librsvg + plus bugfix for a new bug. Marker code has been rewritten recently. But I still get a Null pointer assertion from GTK.

This means in most recent librsvg this is no longer an issue but there are still other hidden issues in the given SVG.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 1 2016, 9:47 PM
Perhelion renamed this task from SVG marker-mid with orient auto don't work (stops rendering full graphic) to SVG marker-mid with orient auto don't work (stops rendering subsequent elements).Jan 30 2016, 2:35 PM
Perhelion updated the task description. (Show Details)
Aklapper triaged this task as Low priority.Mar 8 2016, 10:52 PM
MoritzMuehlenhoff renamed this task from SVG marker-mid with orient auto don't work (stops rendering subsequent elements) to SVG marker-mid with orient auto don't work (stops rendering subsequent elements).Jul 7 2016, 11:25 AM
MoritzMuehlenhoff added a project: Operations.

It's not obvious to me what the exact visual problem was/is. Is this about the blue broken line in the middle? I've purged the cached images with the new 2.40.16 librsvg now used on the image scalers and the rendered PNG looks very similar to the SVG as rendered in Firefox, but I'd like a comment from @Menner or @Perhelion

Menner added a comment.Jul 7 2016, 4:31 PM

@MoritzMuehlenhoff: Look at the file history both have work arounds applied. You may test old version on

File:Test.svg

Looks good for me.

TheDJ closed this task as Resolved.Jul 8 2016, 2:59 PM
TheDJ claimed this task.
TheDJ added a subscriber: TheDJ.

Also: https://commons.wikimedia.org/wiki/File:T117530_Chinatown_map_WV.svg

Indeed seems fixed now to me, probably due to T112421.